Subject: [lojban] Re: cmegadri valfendi preti

From: Pierre Abbat <[email-masked]>
Date: Fri, 6 Dec 2002 12:09:10 -0500

On Friday 06 December 2002 03:56, Lionel Vidal wrote:
> Nora LeChevalier:
> > I used a backward algorithm because a forward algorithm is susceptible to
> > garden-pathing. For example,
> > 'miKLAmaleZARcifuleKARcegi'eBEVrileDAKlis'
> > is a name, but you don't know it until the final letter.
>
> I am not sure I really understand the expression 'garden-pathing', but
> I do think your example illustrates my point :-)
> Suppose you hear it in conditions good enough to identify clearly each
> sound and stress: even then you just can't wait for the final 's' to start
> the parsing, memorizing all exactly along the way, and seeing with great
> relief the final 's', which means you won't have to go through it again
> from the beginning!

"Garden-pathing" is short for "leading one down the garden path", which is an 
idiom for leading one down a path with a surprising ending, or something like 
that.

> What I meant by forward parsing, is one forward pass, taking along the
> set of remaining possibilities, which is actually very near IMO of the
> process followed by humans to parse any language. Humans are not
> very good at backtracking over meaningless sounds, but are much
> better to do so in a limited way over meaningfull entities.
> In your example, some steps of the evolution of the parsing set could be
> something like: (* stands for anything, and the rule is that as soon as the
> set is a singleton, the parse to that point is done, but you still must
> wait till the end of the whole chunk parsing to set the validity flag)

Forward parsing does not work well for Lojban because it does not have the 
prefix property. jbofi'e uses forward parsing; the result is an unwieldy 
state table and difficult-to-fix bugs (e.g. it accepts {ckankua} as a fu'ivla 
but does not accept {packankua}, even though it breaks cmavo off lujvo and 
type-3 fu'ivla).

phma